# PURPOSE: default compose file for clair services
# USAGE: docker-compose up

# compose version
# ===================
version: "3.5"


# network definitions
# ===================
networks:
  clair:


# volumes definitions
# ===================
volumes:
  clair_data:
  postgres_data:


# service definitions
# ===================
services:

  # clair database
  clair-sql:
    container_name: clair-sql
    image: postgres:stable
    restart: unless-stopped
    environment:
      POSTGRES_PASSWORD: {{ services_default_password }}
    networks:
      - clair
    volumes:
      - {{ SERVICE_PROPERTIES.data_path }}:/var/lib/postgresql/data

  # clair server
  clair-srv:
    container_name: clair-srv
    image: clair:stable
    restart: unless-stopped
    depends_on:
      - clair-sql
    ports:
      - "6060-6061:6060-6061"
    networks:
      - clair
    volumes:
      - clair_data:/tmp
      - {{ certs_basepath }}:{{ certs_basepath }}
      - {{ SERVICE_PROPERTIES.base_path }}:{{ SERVICE_PROPERTIES.base_path }}
    command: [-config, {{ SERVICE_PROPERTIES.conf_path }}/config.yaml, -insecure-tls]

  # clair scanner
  clair-scanner:
    container_name: clair-scanner
    image: clair-scanner:stable
    networks:
      - clair
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro
      - {{ SERVICE_PROPERTIES.base_path }}:{{ SERVICE_PROPERTIES.base_path }}
    entrypoint: /bin/entrypoint.sh -w {{ SERVICE_PROPERTIES.conf_path }}/whitelist.yaml --clair="http://clair-srv:6060"


# eof
